IntegrationsAttio

Get one note with plaintext and markdown content.

POST
/integrations/connections/{connection_id}/providers/attio/notes/get

Get one note with plaintext and markdown content.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/attio/notes/get" \  -H "Content-Type: application/json" \  -d '{    "note_id": "example"  }'
{  "note_id": "example",  "parent_object": "example",  "parent_record_id": "example",  "title": "Approve supplier payment",  "content_plaintext": "example",  "created_by": {    "type": "run.completed",    "id": "example"  },  "created_at": "example",  "content_markdown": "example"}